Oppgradering PHP 5.5 til 5.6 - Domeneshop

En tråd i 'PHP, SQL og databaser' startet av rune69, 13 Mai 2017.

  1. rune69

    rune69 Gjerrigknarken sjøl Forumleder

    Innlegg:
    1.558
    For noen dager siden mottok jeg en e-post fra Domeneshop som ba meg oppdatere tre domener med webhotell som i dag kjører PHP 5.5. Alle kjører WP-installasjoner og er oppdatert til seneste versjon av WP.

    For to av domenene/nettsidene fungerte oppgraderingen til PHP 5.6 helt fint, mens et nettsted da endte opp med en feilmelding om at "databasetilkobling" ikke lenger var mulig. Jeg nedgraderte tilbake til PHP 5.5 for dette webhotellet og alt fungerte igjen.

    Noen som har en ide om hva som bør gjøres med webhotellet/WP-installasjonen til nettstedet som ikke taklet oppgraderingen? For meg virker det lite logisk at 2/3 skal fungere, men 1/3 ikke gjør det.
     
  2. Stein Ove Helset Hacker

    Innlegg:
    254
    Er det noe forskjell i themes'ene, wp-versjon eller lignende?
    Må vel være mulig å få litt mer detaljert feilmelding på hva som går galt i databasetilkoblingen?
     
  3. rune69

    rune69 Gjerrigknarken sjøl Forumleder

    Innlegg:
    1.558
    Det går nok an å få en mer detaljert feilmelding, men da må jeg gjenskape problemet - og jeg har jo liten lyst til at nettstedet skal "gå ned"...
     
  4. Marius_J

    Marius_J Certified Ethical Hacker

    Innlegg:
    520
    Er det noen spesielle plugin her? Etc gamle plugin?
     
  5. rune69

    rune69 Gjerrigknarken sjøl Forumleder

    Innlegg:
    1.558
    Akismet
    BackUpWordPress
    Featured Content Gallery (ser ut til å være utdatert)
    Google XML Sitemaps
    Limit Login Attempts (ser denne er gammel, kanskje verdt å bytte ut?)
     
  6. leiheim

    leiheim Member

    Innlegg:
    44
    Istadenfor å driva med synsing her om kva dette kan væra, vil det ikkje vera lettare å "framprovosera" feilen på eit roleg tidpunkt, og så få generert ein errorlog som ein kan forholda seg til?
     
    Tonny Kluften liker dette.
  7. Marius_J

    Marius_J Certified Ethical Hacker

    Innlegg:
    520
    Jeg spurte fordi jeg vet det er noen plugin som skaper problemer. Men ingen av disse.

    Som Cretica nevner. Har du muligheten til det Rune?
     
  8. rune69

    rune69 Gjerrigknarken sjøl Forumleder

    Innlegg:
    1.558
    Ingen dum ide å prøve f.eks. 17. mai - da er det rimelig dødt uansett...
     
  9. Stoppet Banned

    Innlegg:
    2.037
    Ja, og da er du ikke ute å bruker penger uansett :D
    Så det er bare å jobbe :)
     
  10. rune69

    rune69 Gjerrigknarken sjøl Forumleder

    Innlegg:
    1.558
    Mulig jeg skeier ut med en softis, men ellers blir det utgifter lik null :p God 17. mai (det koster ingenting å si!)!
     
  11. xdex

    xdex Medlem

    Innlegg:
    1.597
    Det er ingen som hjelper deg bedre enn php.net selv. Hvis du f.eks. tar en titt her http://php.net/manual/en/migration56.php og samtidig ser på feilmeldinger du får, vil du raskt oppdage hva som må fikses (dersom versjonnummer stemmer)

    Du kan også løse problemet enkelt ved å bare rename plugins mappa, og legge inn en og en plugin for å se om du gjenskaper feilmeldingen ved en av disse.

    Lykke til!
     
  12. kongen

    kongen kongemedlem

    Innlegg:
    2.748
    Kanskje du var så uheldig å oppdaterte mens de hadde serverproblemer, og at det egentlig ikke er noe feil med siden din?

    https://domene.shop/status?id=609

    Softis? Er du gal mann? En rundpinne får holde :eek:
     
    barentshavet liker dette.
  13. Travellingman

    Travellingman Nettgrunder

    Innlegg:
    2.113
    Ordnet dette av seg selv eller? @rune69

    Ser jeg har 5.6 på et webhotell på Domeneshop, men det er mulighet for å oppgradere til 7 ser jeg i kontrollpanelet. Er det meningen att vi skal gjøre dette selv? Burde ikke Domenshop gjøre dette automatisk for kundene?
     
  14. Marius_J

    Marius_J Certified Ethical Hacker

    Innlegg:
    520
    Automatisk oppdatering av php versjon er sjeldent noe bra.
    Kan vedde på at noe slutter å fungere.

    Så er det noen som er avhengig av en php versjon, ting fungerer ikke i PHP 7 av en eller annen grunn.
     
  15. rune69

    rune69 Gjerrigknarken sjøl Forumleder

    Innlegg:
    1.558
    I høy alder er hukommelsen en vanskelig faktor. Fikk løst problemene, men vet ikke lenger hvordan. Vet dog at det ble endel testing og justering frem og tilbake av PHP-versjon før problemene forsvant.Ville nok ikke ønsket automatisk oppdatering i alle fall, en host kan jo ikke stå til ansvar for alt ræl man har på sitt webhotell....
     

Del denne siden